GNU bug report logs - #15476
24.3; called-interactively-p fails when innermost advice is around advice

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ryan <rct@HIDDEN>; Keywords: confirmed; merged with #11747, #13656; dated Sat, 28 Sep 2013 07:22:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 11747 13656 15476. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Sep 2013 07:21:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 28 03:21:40 2013
Received: from localhost ([127.0.0.1]:42261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VPoqQ-0001c1-EH
	for submit <at> debbugs.gnu.org; Sat, 28 Sep 2013 03:21:40 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54200)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rct@HIDDEN>) id 1VPoqL-0001bn-HO
 for submit <at> debbugs.gnu.org; Sat, 28 Sep 2013 03:21:35 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rct@HIDDEN>) id 1VPoqE-0003bv-ES
 for submit <at> debbugs.gnu.org; Sat, 28 Sep 2013 03:21:33 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:33022)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rct@HIDDEN>) id 1VPoqE-0003bq-BY
 for submit <at> debbugs.gnu.org; Sat, 28 Sep 2013 03:21:26 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55865)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rct@HIDDEN>) id 1VPoq7-0000bX-1X
 for bug-gnu-emacs@HIDDEN; Sat, 28 Sep 2013 03:21:26 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rct@HIDDEN>) id 1VPoq0-0003Zf-GE
 for bug-gnu-emacs@HIDDEN; Sat, 28 Sep 2013 03:21:18 -0400
Received: from mail-pd0-f180.google.com ([209.85.192.180]:38753)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rct@HIDDEN>) id 1VPoq0-0003Zb-4F
 for bug-gnu-emacs@HIDDEN; Sat, 28 Sep 2013 03:21:12 -0400
Received: by mail-pd0-f180.google.com with SMTP id y10so3483895pdj.25
 for <bug-gnu-emacs@HIDDEN>; Sat, 28 Sep 2013 00:21:11 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:message-id:date:from:user-agent:mime-version:to
 :subject:content-type:content-transfer-encoding;
 bh=naz33r77FKZX8zz4f9LAM+hFgu6c7/QuGIqDNfqCJuc=;
 b=iXVV4ajuMVvNMdgFspOnl2Y0welqCput+KmfpUmYYE2tZvnf8Px92mfuOk666F/EsW
 XoudERshr9YM1qD2QnrOxXLTg2JsdEP6fYwiXnRkGBqACZRTCqZa5kE6RFSwFRQCPnJX
 79SQi5XVB/nYVbAPxCd3j9pqvPYHnyL7j5SjONIn7fgiH0jNSWPhaNP/QMZbTFCaYef0
 b28b1aRVdTilc4l7goeYzUh5xF5+Us9fbOE2JbACqSZ9bRaN4eyZv/SwcRbIrPaC4Yjm
 IW62IMlLHh8gaVJGyTSTrtYhqI2tk8ydl9QHsZaWOfxnj30+IeIgDoiyVHhEgXYLkKrS
 6TMA==
X-Gm-Message-State: ALoCoQkrjfjWSTbYuZdUieSW1fD/wWvl5o3zg6BOqEFhm6iDRWb7Eb0TVlDwF/ksmv1SyWgiaggZ
X-Received: by 10.66.118.204 with SMTP id ko12mr22871pab.184.1380352871076;
 Sat, 28 Sep 2013 00:21:11 -0700 (PDT)
Received: from [192.168.10.2] (user-0c9ha1q.cable.mindspring.com.
 [24.152.168.58])
 by mx.google.com with ESMTPSA id fk4sm17605573pab.23.1969.12.31.16.00.00
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Sat, 28 Sep 2013 00:21:10 -0700 (PDT)
Message-ID: <52468362.1080307@HIDDEN>
Date: Sat, 28 Sep 2013 00:21:06 -0700
From: Ryan <rct@HIDDEN>
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.8;
 rv:17.0) Gecko/20130801 Thunderbird/17.0.8
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: 24.3; called-interactively-p fails when innermost advice is around
 advice
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

As discussed previously in #3984, I'm filing this bug report to track 
progress on making "called-interactively-p" in emacs trunk work on 
advised functions when the innermost advice is around advice (or 
filter-args advice and possibly some others), because these advice types 
do not leave a recognizable signature on the call stack.

I think this report can supersede #11747, which was reported against the 
old advice system and is now partially fixed.

For argument, here's a trivial example to reproduce. However, I believe 
tests have already been added to the test suite demonstrating the bug as 
well.

(defun myfunc ()
   (interactive)
   (or (called-interactively-p)
       (error "Must be called interactively!")))
;; OK
(call-interactively 'myfunc)
(advice-add 'myfunc :around 'funcall)
;; Fails!
(call-interactively 'myfunc)



If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
`bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/Applications/Emacs.app/Contents/Resources/etc/DEBUG.


In GNU Emacs 24.3.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
of 2013-03-12 on bob.porkrind.org
Windowing system distributor `Apple', version 10.3.1187
Configured using:
`configure '--host=x86_64-apple-darwin' '--build=i686-apple-darwin'
'--with-ns' 'build_alias=i686-apple-darwin'
'host_alias=x86_64-apple-darwin' 'CC=gcc -mmacosx-version-min=10.7
-isystem
/Users/david/Xcode-10.7_4.5.2/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk/usr/include/
-F/Users/david/Xcode-10.7_4.5.2/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk/System/Library/Frameworks''

Important settings:
locale-coding-system: nil
default enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
global-pretty-mode: t
pretty-mode: t
sml-modeline-mode: t
show-paren-mode: t
savehist-mode: t
minibuffer-electric-default-mode: t
minibuffer-depth-indicate-mode: t
ido-yes-or-no-mode: t
ido-ubiquitous-mode: t
icomplete-mode: t
global-undo-tree-mode: t
undo-tree-mode: t
desktop-save-mode: t
delete-selection-mode: t
osx-pseudo-daemon-mode: t
ido-everywhere: t
shell-dirtrack-mode: t
eldoc-mode: t
autopair-global-mode: t
autopair-mode: t
global-auto-complete-mode: t
auto-complete-mode: t
override-global-mode: t
tooltip-mode: t
mouse-wheel-mode: t
tool-bar-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
font-lock-mode: t
blink-cursor-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
line-number-mode: t
transient-mark-mode: t

Recent input:
<C-M-up> <C-M-right> <C-M-right> C-h k C-M-f <C-M-right>
<C-M-right> <C-M-right> <C-M-right> <C-M-left> <C-M-left>
<C-M-left> <C-M-right> <C-M-up> <C-M-right> <C-M-up>
<C-M-right> <C-M-right> <C-M-right> <C-M-left> <C-M-right>
<C-M-right> <C-M-right> <C-M-left> <C-M-left> <C-M-left>
<C-M-left> <up> <up> C-e <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <down> <s-left> <s-left> <s-left>
<s-left> <s-right> <s-right> <s-right> <s-right> <s-right>
<s-right> <s-right> <s-right> <s-right> <s-right> C-x
C-s <left> <left> <left> <left> <left> <left> <left>
<left> <left> <left> <return> <tab> C-x C-s <down>
<down> <down> <down> <down> <down> <down> <up> <up>
C-a <S-down> <S-down> C-w <up> <up> C-y C-x C-s <up>
<up> <up> <up> <return> <up> <tab> M-; S u p e r SPC
i s SPC t h e SPC A l t / o p t i o n SPC k e y <down>
<down> <down> <down> C-e <return> <tab> M-; M e t a
SPC i s SPC t h e SPC c o m m a n d SPC k e y C-x C-s
<left> <down> <left> <down> <down> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <M-right> <s-left>
<s-left> <s-left> <s-left> <s-left> <s-left> <s-right>
SPC k e y s C-x C-s M-q C-x C-s M-q C-x C-s <down-mouse-1>
<mouse-1> <down-mouse-1> <mouse-1> <down-mouse-1> <mouse-1>
<down-mouse-1> <mouse-1> <down-mouse-1> <mouse-movement>
<mouse-movement> <mouse-movement> <mouse-movement>
<mouse-movement> <mouse-movement> <drag-mouse-1> <down-mouse-1>
<mouse-1> <double-down-mouse-1> <mouse-movement> <mouse-movement>
<double-drag-mouse-1> <down-mouse-1> <mouse-1> <down-mouse-1>
<mouse-movement> <mouse-movement> <drag-mouse-1> <down-mouse-1>
<mouse-1> <wheel-down> <double-wheel-down> <triple-wheel-down>
<triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
<triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
<triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
<triple-wheel-down> <wheel-down> <double-wheel-down>
<triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
<wheel-up> <double-wheel-up> <triple-wheel-up> <wheel-up>
<double-wheel-up> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> <wheel-down> <double-wheel-down>
<triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
<triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
<triple-wheel-down> <down-mouse-1> <mouse-1> <down-mouse-1>
<mouse-movement> <mouse-movement> <drag-mouse-1> <down-mouse-1>
<mouse-1> M-x r e p o r t - e m <right> <right> <r
eturn>

Recent messages:
Wrote /Users/ryan/.emacs.d/init.el
Auto-saving...
Saving file /Users/ryan/.emacs.d/init.el...
Wrote /Users/ryan/.emacs.d/init.el
Saving file /Users/ryan/.emacs.d/init.el...
Wrote /Users/ryan/.emacs.d/init.el
Saving file /Users/ryan/.emacs.d/init.el...
Wrote /Users/ryan/.emacs.d/init.el
Saving file /Users/ryan/.emacs.d/init.el...
Wrote /Users/ryan/.emacs.d/init.el

Load-path shadows:
~/.emacs.d/el-get/el-get/.dir-locals hides 
/Users/ryan/.emacs.d/elpa/ess-20130521.1613/.dir-locals
~/.emacs.d/el-get/el-get/.dir-locals hides 
/Users/ryan/.emacs.d/elpa/fringe-helper-20130519.1641/.dir-locals
~/.emacs.d/el-get/el-get/.dir-locals hides 
/Users/ryan/.emacs.d/elpa/highlight-parentheses-20130523.1752/.dir-locals
/Users/ryan/.emacs.d/el-get/ido-ubiquitous/ido-ubiquitous hides 
/Users/ryan/.emacs.d/elpa/ido-ubiquitous-20121214.2145/ido-ubiquitous
~/.emacs.d/el-get/el-get/.dir-locals hides 
/Users/ryan/.emacs.d/elpa/magit-20130528.2019/.dir-locals
/Users/ryan/.emacs.d/elpa/cperl-mode-20130117.2116/cperl-mode hides 
/Applications/Emacs.app/Contents/Resources/lisp/progmodes/cperl-mode
/Users/ryan/.emacs.d/elpa/org-20130527/org hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org
/Users/ryan/.emacs.d/elpa/org-20130527/org-w3m hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-w3m
/Users/ryan/.emacs.d/elpa/org-20130527/org-version hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-version
/Users/ryan/.emacs.d/elpa/org-20130527/org-timer hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-timer
/Users/ryan/.emacs.d/elpa/org-20130527/org-table hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-table
/Users/ryan/.emacs.d/elpa/org-20130527/org-src hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-src
/Users/ryan/.emacs.d/elpa/org-20130527/org-rmail hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-rmail
/Users/ryan/.emacs.d/elpa/org-20130527/org-protocol hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-protocol
/Users/ryan/.emacs.d/elpa/org-20130527/org-plot hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-plot
/Users/ryan/.emacs.d/elpa/org-20130527/org-pcomplete hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-pcomplete
/Users/ryan/.emacs.d/elpa/org-20130527/org-mouse hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-mouse
/Users/ryan/.emacs.d/elpa/org-20130527/org-mobile hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-mobile
/Users/ryan/.emacs.d/elpa/org-20130527/org-mhe hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-mhe
/Users/ryan/.emacs.d/elpa/org-20130527/org-macs hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-macs
/Users/ryan/.emacs.d/elpa/org-20130527/org-loaddefs hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-loaddefs
/Users/ryan/.emacs.d/elpa/org-20130527/org-list hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-list
/Users/ryan/.emacs.d/elpa/org-20130527/org-irc hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-irc
/Users/ryan/.emacs.d/elpa/org-20130527/org-install hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-install
/Users/ryan/.emacs.d/elpa/org-20130527/org-inlinetask hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-inlinetask
/Users/ryan/.emacs.d/elpa/org-20130527/org-info hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-info
/Users/ryan/.emacs.d/elpa/org-20130527/org-indent hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-indent
/Users/ryan/.emacs.d/elpa/org-20130527/org-id hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-id
/Users/ryan/.emacs.d/elpa/org-20130527/org-habit hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-habit
/Users/ryan/.emacs.d/elpa/org-20130527/org-gnus hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-gnus
/Users/ryan/.emacs.d/elpa/org-20130527/org-footnote hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-footnote
/Users/ryan/.emacs.d/elpa/org-20130527/org-feed hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-feed
/Users/ryan/.emacs.d/elpa/org-20130527/org-faces hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-faces
/Users/ryan/.emacs.d/elpa/org-20130527/org-eshell hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-eshell
/Users/ryan/.emacs.d/elpa/org-20130527/org-entities hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-entities
/Users/ryan/.emacs.d/elpa/org-20130527/org-element hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-element
/Users/ryan/.emacs.d/elpa/org-20130527/org-docview hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-docview
/Users/ryan/.emacs.d/elpa/org-20130527/org-datetree hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-datetree
/Users/ryan/.emacs.d/elpa/org-20130527/org-ctags hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-ctags
/Users/ryan/.emacs.d/elpa/org-20130527/org-crypt hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-crypt
/Users/ryan/.emacs.d/elpa/org-20130527/org-compat hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-compat
/Users/ryan/.emacs.d/elpa/org-20130527/org-colview hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-colview
/Users/ryan/.emacs.d/elpa/org-20130527/org-clock hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-clock
/Users/ryan/.emacs.d/elpa/org-20130527/org-capture hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-capture
/Users/ryan/.emacs.d/elpa/org-20130527/org-bibtex hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-bibtex
/Users/ryan/.emacs.d/elpa/org-20130527/org-bbdb hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-bbdb
/Users/ryan/.emacs.d/elpa/org-20130527/org-attach hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-attach
/Users/ryan/.emacs.d/elpa/org-20130527/org-archive hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-archive
/Users/ryan/.emacs.d/elpa/org-20130527/org-agenda hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/org-agenda
/Users/ryan/.emacs.d/elpa/org-20130527/ob hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob
/Users/ryan/.emacs.d/elpa/org-20130527/ob-tangle hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-tangle
/Users/ryan/.emacs.d/elpa/org-20130527/ob-table hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-table
/Users/ryan/.emacs.d/elpa/org-20130527/ob-sqlite hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-sqlite
/Users/ryan/.emacs.d/elpa/org-20130527/ob-sql hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-sql
/Users/ryan/.emacs.d/elpa/org-20130527/ob-shen hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-shen
/Users/ryan/.emacs.d/elpa/org-20130527/ob-sh hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-sh
/Users/ryan/.emacs.d/elpa/org-20130527/ob-screen hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-screen
/Users/ryan/.emacs.d/elpa/org-20130527/ob-scheme hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-scheme
/Users/ryan/.emacs.d/elpa/org-20130527/ob-scala hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-scala
/Users/ryan/.emacs.d/elpa/org-20130527/ob-sass hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-sass
/Users/ryan/.emacs.d/elpa/org-20130527/ob-ruby hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ruby
/Users/ryan/.emacs.d/elpa/org-20130527/ob-ref hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ref
/Users/ryan/.emacs.d/elpa/org-20130527/ob-R hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-R
/Users/ryan/.emacs.d/elpa/org-20130527/ob-python hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-python
/Users/ryan/.emacs.d/elpa/org-20130527/ob-plantuml hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-plantuml
/Users/ryan/.emacs.d/elpa/org-20130527/ob-picolisp hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-picolisp
/Users/ryan/.emacs.d/elpa/org-20130527/ob-perl hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-perl
/Users/ryan/.emacs.d/elpa/org-20130527/ob-org hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-org
/Users/ryan/.emacs.d/elpa/org-20130527/ob-octave hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-octave
/Users/ryan/.emacs.d/elpa/org-20130527/ob-ocaml hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ocaml
/Users/ryan/.emacs.d/elpa/org-20130527/ob-mscgen hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-mscgen
/Users/ryan/.emacs.d/elpa/org-20130527/ob-maxima hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-maxima
/Users/ryan/.emacs.d/elpa/org-20130527/ob-matlab hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-matlab
/Users/ryan/.emacs.d/elpa/org-20130527/ob-lob hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-lob
/Users/ryan/.emacs.d/elpa/org-20130527/ob-lisp hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-lisp
/Users/ryan/.emacs.d/elpa/org-20130527/ob-lilypond hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-lilypond
/Users/ryan/.emacs.d/elpa/org-20130527/ob-ledger hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ledger
/Users/ryan/.emacs.d/elpa/org-20130527/ob-latex hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-latex
/Users/ryan/.emacs.d/elpa/org-20130527/ob-keys hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-keys
/Users/ryan/.emacs.d/elpa/org-20130527/ob-js hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-js
/Users/ryan/.emacs.d/elpa/org-20130527/ob-java hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-java
/Users/ryan/.emacs.d/elpa/org-20130527/ob-io hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-io
/Users/ryan/.emacs.d/elpa/org-20130527/ob-haskell hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-haskell
/Users/ryan/.emacs.d/elpa/org-20130527/ob-gnuplot hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-gnuplot
/Users/ryan/.emacs.d/elpa/org-20130527/ob-fortran hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-fortran
/Users/ryan/.emacs.d/elpa/org-20130527/ob-exp hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-exp
/Users/ryan/.emacs.d/elpa/org-20130527/ob-eval hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-eval
/Users/ryan/.emacs.d/elpa/org-20130527/ob-emacs-lisp hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-emacs-lisp
/Users/ryan/.emacs.d/elpa/org-20130527/ob-dot hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-dot
/Users/ryan/.emacs.d/elpa/org-20130527/ob-ditaa hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ditaa
/Users/ryan/.emacs.d/elpa/org-20130527/ob-css hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-css
/Users/ryan/.emacs.d/elpa/org-20130527/ob-comint hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-comint
/Users/ryan/.emacs.d/elpa/org-20130527/ob-clojure hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-clojure
/Users/ryan/.emacs.d/elpa/org-20130527/ob-calc hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-calc
/Users/ryan/.emacs.d/elpa/org-20130527/ob-C hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-C
/Users/ryan/.emacs.d/elpa/org-20130527/ob-awk hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-awk
/Users/ryan/.emacs.d/elpa/org-20130527/ob-asymptote hides 
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-asymptote
~/.emacs.d/el-get/el-get/.dir-locals hides 
/Applications/Emacs.app/Contents/Resources/lisp/gnus/.dir-locals
/Users/ryan/.emacs.d/elpa/emms-20130515.1144/tq hides 
/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/tq

Features:
(shadow sort gnus-util mail-extr smex load-dir markdown-mode noutline
outline add-log vc-git bug-reference cc-langs cc-mode cc-fonts cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine jka-compr
bug-reference-github pretty-mode vlfi melpa server face-remap midnight
saveplace uniquify sml-modeline paren savehist minibuf-eldef mb-depth
ido-yes-or-no ido-ubiquitous icomplete undo-tree diff desktop delsel
auto-dim-other-buffers cus-start cus-load emacsbug message format-spec
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils .loaddefs osx-pseudo-daemon ido
ess-toolbar ess-mouse mouseme thingatpt browse-url ess-menu ess-swv
ess-noweb ess-noweb-font-lock-mode ess-bugs-l essd-els ess-sas-d
ess-sas-l ess-sas-a shell pcomplete ess-arc-d ess-vst-d ess-xls-d
ess-lsp-l ess-sta-d ess-sta-l cc-vars cc-defs make-regexp ess-sp6-d
ess-sp5-d ess-sp3-d ess-julia ess-r-d compile ess-tracebug ess-roxy
hideshow ess-help ess-developer ess-r-args eldoc ess-s-l ess ess-inf
comint ansi-color ring ess-mode ess-noweb-mode ess-utils ess-custom
executable ess-compat ess-site highlight-cl autopair auto-complete popup
bar-cursor edmacro kmacro use-package diminish bind-key easy-mmode
el-get el-get-autoloads el-get-list-packages el-get-notify help-mode
el-get-dependencies el-get-build el-get-status pp el-get-recipes
el-get-byte-compile el-get-methods el-get-fossil el-get-svn
el-get-pacman el-get-github-zip el-get-github-tar el-get-http-zip
el-get-http-tar el-get-hg el-get-git-svn el-get-fink el-get-emacswiki
el-get-http el-get-emacsmirror el-get-github el-get-git el-get-elpa
el-get-darcs el-get-cvs el-get-bzr el-get-brew el-get-builtin
el-get-apt-get el-get-custom el-get-core autoload dired ac-js2-autoloads
ack-and-a-half-autoloads apache-mode-autoloads
applescript-mode-autoloads async-autoloads
auto-dim-other-buffers-autoloads auto-indent-mode-autoloads
autopair-autoloads bar-cursor-autoloads bs-ext-autoloads
buffer-utils-autoloads bug-reference-github-autoloads
button-lock-autoloads charmap-autoloads charmap cmake-mode-autoloads
concurrent-autoloads cperl-mode-autoloads crontab-mode-autoloads
csharp-mode-autoloads cursor-chg-autoloads dedicated-autoloads
deferred-autoloads dna-mode-autoloads edit-list-autoloads ein-autoloads
auto-complete-autoloads eldoc-eval-autoloads emacs-setup-autoloads
emms-autoloads ess-R-data-view-autoloads ctable-autoloads
ess-R-object-popup-autoloads express-autoloads
git-gutter-fringe-autoloads fringe-helper-autoloads git-gutter-autoloads
gitconfig-mode-autoloads gitignore-mode-autoloads hardhat-autoloads
header2-autoloads highlight-cl-autoloads highlight-parentheses-autoloads
icomplete+-autoloads ido-load-library-autoloads ido-sort-mtime-autoloads
ido-ubiquitous-autoloads ido-yes-or-no-autoloads ignoramus-autoloads
igrep-autoloads lacarte-autoloads letcheck-autoloads
lexbind-mode-autoloads load-dir-autoloads look-dired-autoloads
look-mode-autoloads macro-utils-autoloads macrostep-autoloads
magit-commit-training-wheels-autoloads magit-gh-pulls-autoloads
gh-autoloads eieio logito-autoloads magithub-autoloads magit-autoloads
markdown-mode+-autoloads markdown-mode-autoloads marmalade-autoloads
furl-autoloads melpa-autoloads byte-opt warnings bytecomp byte-compile
cconv advice advice-preload mic-paren-autoloads
mode-line-debug-autoloads mouse+-autoloads nav-autoloads
nav-flash-autoloads nlinum-autoloads oddmuse-autoloads
openwith-autoloads org-autoloads info easymenu osx-plist-autoloads
pallet-autoloads carton-autoloads paredit-everywhere-autoloads
paredit-autoloads paredit-menu-autoloads persistent-soft-autoloads
pcache-autoloads pointback-autoloads popup-switcher-autoloads
popup-autoloads popwin-autoloads powerline-autoloads powerline
powerline-separators pretty-mode-autoloads rainbow-mode-autoloads
request-autoloads s-buffer-autoloads noflet-autoloads s-autoloads
shell-history-autoloads skewer-mode-autoloads js2-mode-autoloads
finder-inf simple-httpd-autoloads smart-forward-autoloads
expand-region-autoloads smart-mode-line-autoloads smex-autoloads
sml-modeline-autoloads ssh-config-mode-autoloads string-edit-autoloads
dash-autoloads string-utils-autoloads list-utils-autoloads help-fns
cl-macs gv cl cl-lib sudo-ext-autoloads undo-tree-autoloads
unfill-autoloads use-package-autoloads diminish-autoloads
bind-key-autoloads vlfi-autoloads volatile-highlights-autoloads
websocket-autoloads winpoint-autoloads package time-date tooltip
ediff-hook vc-hooks lisp-float-type mwheel ns-win tool-bar dnd fontset
image regexp-opt fringe tabulated-list newcomment lisp-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process ns multi-tty emacs)





Acknowledgement sent to Ryan <rct@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#15476; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 21 Apr 2017 21:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.